﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication3
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            OnLoad();
        }

        private void OnLoad()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Counter", typeof(decimal));

            for (int i = 1; i <= 10; i++)
            {
                dt.Rows.Add(i);
            }

            ultraGrid1.DataSource = dt;
            //ultraGrid1.DisplayLayout.Bands[0].Columns["Counter"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DoublePositive;
            //ultraGrid1.DisplayLayout.Bands[0].Columns["Counter"].MaskInput = "nnnnnnnnnnnnnnnnnn.nnnnnn";
        }

        private void ultraGrid1_BeforeExitEditMode(object sender, Infragistics.Win.UltraWinGrid.BeforeExitEditModeEventArgs e)
        {
            Type columnType = ultraGrid1.ActiveCell.Column.DataType;
            string columnValue = ultraGrid1.ActiveCell.Text.ToString();

            if (columnType == typeof(decimal))
            {
                if (columnValue == "")
                {
                    MessageBox.Show("Invalid data entered");
                    e.Cancel = true;
                }
            }
        }

        private void Form1_Click(object sender, EventArgs e)
        {
            //if (ultraGrid1.ActiveCell.IsInEditMode)
            //{
            //    ultraGrid1.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.ExitEditMode);
            //}
        }

        private void ultraGrid1_LostFocus(object sender, EventArgs e)
        {
            if (ultraGrid1.ActiveCell.IsInEditMode)
            {
                ultraGrid1.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.ExitEditMode);
            }
        }
    }
}
